Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.naming
Class HierarchicalCatalog.DefaultAccessor<_V>

    java.lang.Object
      rdlc.naming.HierarchicalCatalog.DefaultAccessor<_V>

All Implemented Interfaces:
  Accessor<_V>

Enclosing class:
  HierarchicalCatalog<V>

    protected static class HierarchicalCatalog.DefaultAccessor<_V>

extends java.lang.Object
implements Accessor<_V>

This is the default accessor class for hierarchical catalogs which are not extended. Any class which extends `HierarchicalCatalog` should have its own accessor.

Version:
  $Revision: 1.7 $
Author:
  Greg Gibeling

Constructor Summary
`protected` | `HierarchicalCatalog.DefaultAccessor()`

Method Summary
`HierarchicalCatalog<_V>` | `getCatalog(java.lang.Object obj)` Return the correct hierarchical catalog from the given object.
`Identifier<_V>` | `getIdentifier(java.lang.Object obj)` Get the identifier which names `obj` in the current hierarchy.
`java.lang.String` | `getName(java.lang.Object obj)` Get a string name of the given object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HierarchicalCatalog.DefaultAccessor

    protected HierarchicalCatalog.DefaultAccessor()

Method Detail

### getCatalog

    public HierarchicalCatalog<_V> getCatalog(java.lang.Object obj)

  Description copied from interface: `Accessor`
  Return the correct hierarchical catalog from the given object. This will usually be implemented with a `instanceof` test and a cast. It might also involve an accessor call.

  Specified by:
    `getCatalog` in interface `Accessor<_V>`
  Parameters:
    `obj` - The object to extract the hierarchical catalog from.
  Returns:
    The appropriate hierarchical catalog from the object.
  See Also:
    `Accessor.getCatalog(Object)`

### getIdentifier

    public Identifier<_V> getIdentifier(java.lang.Object obj)

  Description copied from interface: `Accessor`
  Get the identifier which names `obj` in the current hierarchy.

  Specified by:
    `getIdentifier` in interface `Accessor<_V>`
  Parameters:
    `obj` - The object we wish to name.
  Returns:
    The appropriate identifier for the given object.
  See Also:
    `Accessor.getIdentifier(Object)`

### getName

    public java.lang.String getName(java.lang.Object obj)

  Description copied from interface: `Accessor`
  Get a string name of the given object. This should be the name to which the object is bound in it's parent catalog.

  Specified by:
    `getName` in interface `Accessor<_V>`
  Parameters:
    `obj` - The object whose name we are interested in.
  Returns:
    The string name of `obj`
  See Also:
    `Accessor.getName(Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD